//------------------------------------------------------------------------------
//  Description:  ADS1298_Functions.c function declarations
//
//------------------------------------------------------------------------------

/**************************************************************************************************************************************************
*                                 Included Headers                                                                                                *
**************************************************************************************************************************************************/
//#ifndef ADS1298_FUNCTIONS_H
//#define ADS1298_FUNCTIONS_H

/**************************************************************************************************************************************************
*               Prototypes                                                                                                                        *
**************************************************************************************************************************************************/
//ADS1298
void Set_ADS1298_Chip_Enable (void);
void Clear_ADS1298_Chip_Enable (void);
void set_ADS1298_Start_High (void);
void set_ADS1298_Start_Low (void);
void set_ADS1298_Power_Up (void);
void set_ADS1298_Power_Down (void);
void set_ADS1298_Clock_External (void);
void set_ADS1298_Clock_Internal (void);
void Power_On_Reset_ADS1298 (void);
void Hard_Reset_ADS1298_On (void);
void Hard_Reset_ADS1298_Off (void);

void Wake_Up_ADS1298 (void);
void Put_ADS1298_In_Sleep (void);
void Soft_Reset_ADS1298 (void);
void Soft_Start_ReStart_ADS1298 (void);
void Soft_Stop_ADS1298 (void);
void Stop_Read_Data_Continuous (void);
void Start_Read_Data_Continuous (void);
void enable_ADS1298_Interrupt (void);
void enable_ADS1298_Conversion (void);
void enable_ADS1298_Interrupt (void);
void disable_ADS1298_Interrupt (void);

unsigned char ADS1298_Read_Version (void);




//#endif